from fastapi import APIRouter

from app.api.v1.endpoints import users, auth, restaurants, menu_items, orders, deliveries

api_router = APIRouter()

api_router.include_router(auth.router, prefix="/auth", tags=["Authentication"])
api_router.include_router(users.router, prefix="/users", tags=["Users"])
api_router.include_router(restaurants.router, prefix="/restaurants", tags=["Restaurants"])
api_router.include_router(menu_items.router, prefix="/menu-items", tags=["Menu Items"])
api_router.include_router(orders.router, prefix="/orders", tags=["Orders"])
api_router.include_router(deliveries.router, prefix="/deliveries", tags=["Deliveries"])